<?php

/*
 *  _____ _______         _                      _
 * |_   _|__   __|       | |                    | |
 *   | |    | |_ __   ___| |___      _____  _ __| | __  ___ ____
 *   | |    | | '_ \ / _ \ __\ \ /\ / / _ \| '__| |/ / / __|_  /
 *  _| |_   | | | | |  __/ |_ \ V  V / (_) | |  |   < | (__ / /
 * |_____|  |_|_| |_|\___|\__| \_/\_/ \___/|_|  |_|\_(_)___/___|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 *    REKVALIFIKAČNÍ KURZY  <>  PROGRAMOVÁNÍ  <>  IT KARIÉRA
 *
 * Tento zdrojový kód pochází z IT kurzů na WWW.ITNETWORK.CZ
 *
 * Můžete ho upravovat a používat jak chcete, musíte však zmínit
 * odkaz na http://www.itnetwork.cz
 */

require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\IOFactory;

$spreadsheet = new Spreadsheet();

// vezmi list, na kterém právě jsme
$sheet = $spreadsheet->getActiveSheet();

// zapiš do buňky A1
$sheet->setCellValue('A1', 'Hello World!');
// zapiš do buňky B1
$sheet->setCellValue('B1', "I'm here!");

// vytvoření nového zapisovače do xlsx
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');

// vyslání hlavičky - spreadsheet soubor
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
// vyslání hlavičky - soubor ke stažení
header('Content-Disposition: attachment; filename="helloworld.xlsx"');

// vymazání bufferu, aby nedošlo ke znehodnocení souboru
ob_end_clean();
// vyslání souboru na výstup
$writer->save('php://output');